
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Cisco Catalyst交换机一直处于rommon模式无法启动IOS问题的解决 / iVAN</title>

    <meta name="description" content="Cisco Catalyst交换机一直处于rommon模式无法启动IOS问题的解决 发现Cisco Catalyst交换机重启一直处于Rommom模式下,执行Confreg命令选择启动模式为1(从第一个文件启动)时,系统一直重启,无法进入正常界面. enter to boot: 0 = disable autoboot 1 = the first file from internal flash device 2 = commands specified in 'BOOT' environment variable [2]: 1 分析认为可能IOS文件损坏或者被清除,或者启动未">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Cisco Catalyst交换机一直处于rommon模式无法启动IOS问题的解决</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>发现Cisco Catalyst交换机重启一直处于Rommom模式下，执行Confreg命令选择启动模式为1（从第一个文件启动）时，系统一直重启，无法进入正常界面。</p>
<p>enter to boot:</p>
<p>0 = disable autoboot</p>
<p>1 = the first file from internal flash device</p>
<p>2 = commands specified in 'BOOT' environment variable</p>
<p>[2]: 1</p>
<p>分析认为可能IOS文件损坏或者被清除，或者启动未找到正确的IOS。若IOS损坏或被清除，则需要从新导入一个IOS到flash，从网上查得有两种方法，一种是TFTP上传，一种是XMODEM方式上传，XMODEM上传比较慢，需要几个小时。TFTP上传是先设置系统变量，然后执行tftpdnld命令，但是发现这个交换机没有tftpdmld命令。后来发现XMODEM命令也不支持。于是只有考虑把flash卡拔下来，放到别的交换机里导入IOS。不过还是先看看flash里有没有IOS再说吧。</p>
<p>检查flash里的IOS。在Rommom模式下输入命令：dir bootflash: 显示flash上的文件，果然第一个文件不是正确的IOS文件，第二个才是正确的IOS文件。这下就容易多了。</p>
<p>用confreg命令设置启动模式为2，然后手动从正确的IOS启动：</p>
<p>rommon 2 &gt;boot bootflash:cat4000-is-mz.121-11b.EW</p>
<p>Rommon reg: 0x30004180</p>
<p>Running diags...</p>
<p>...</p>
<p>等启动完了，进入了IOS界面，于是修改启动参数：</p>
<p>Switch&gt;enable</p>
<p>Switch#dir bootflash:</p>
<p>查看当前的启动参数：</p>
<p>Switch#show bootvar</p>
<p>开始配置：</p>
<p>Switch#configure terminal</p>
<p>Enter configuration commands, one per line.  End with CNTL/Z.</p>
<p>Switch(config)#no boot system flash bootflash:cat4000-is-mz.121-8a.Ew</p>
<p>Switch(config)#boot system flash bootflash:cat4000-is-mz.121-11b.EW</p>
<p>Switch(config)#end</p>
<p>保存在查看：</p>
<p>Switch#write memory</p>
<p>Switch#show bootvar</p>
<p>BOOT variable = bootflash:cat4000-is-mz.121-11b.EW,1</p>
<p>CONFIG_FILE variable does not exist</p>
<p>BOOTLDR variable does not exist</p>
<p>Configuration register is 0x2102</p>
<p>参考文档：</p>
<p>http://www.cisco.com/en/US/products/hw/switches/ps663/products_configuration_example09186a0080094ecf.shtml</p>
<p>相关错误输出：</p>
<p>**********************************************************</p>
<p>*                                                         *</p>
<p>* Welcome to Rom Monitor for      WS-C4948  System.       *</p>
<p>* Copyright (c) 2003-2007  by Cisco Systems, Inc.          *</p>
<p>* All rights  reserved.                                    *</p>
<p>*                                                         *</p>
<p>**********************************************************</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:38:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.iamivan.net/tag/%e4%ba%a4%e6%8d%a2%e6%9c%ba/" title="交换机">交换机</a>, <a href="https://www.iamivan.net/tag/flash/" title="flash">flash</a>, <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/switch/" title="switch">switch</a>, <a href="https://www.iamivan.net/tag/xmodem/" title="Xmodem">Xmodem</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Cisco Catalyst交换机一直处于rommon模式无法启动IOS问题的解决的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkAwg1b.html" rel="bookmark">《CCNP安全Secure 642-637认证考试指南》&mdash;&mdash;6&period;3节为Cisco Catalyst交换机配置认证方</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				6.3 为Cisco Catalyst交换机配置认证方 CCNP安全Secure 642-637认证考试指南 为交换机配置认证方时,管理员需要完成以下工作. 关键 任务1 配置RADIUS服务器参数. 任务2 配置AAA服务与RADIUS协议. 任务3 全局启用802.1X. 任务4 在指定的访问端口启用802.1X. 任务5 配置定期重认证(可选). 任务6 调整定时器和阈值(可选). 任务7 配置访客策略与认证失败策略(可选). 6.3.1 配置选择 配置认证方时,管理员需要考虑以下问题.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1Rlj3p.html" rel="bookmark">Cisco Catalyst交换机rommon模式的confreg配置示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当时是启动就进入了rommon模式,因为系统找不到引导文件,无法配置confreg 0x2102 / confreg 0x2142 只能通过以下步骤完成 rommon 1 &gt;confreg Configuration Summary : =&gt; load rom after netboot fails =&gt; console baud: 9600 =&gt; autoboot from: commands specified in 'BOOT' environment variable do			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKrvap.html" rel="bookmark">Cisco Catalyst交换机密码恢复策略</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果交换机的login密码忘记了,别急别急,只要你有PC,有类似超级终端(Hyper Terminal)这样是终端程序,连接到交换机的console口,那么密码的恢复就N简单了. 1.对于Catalyst 2900/3500XL系列来说: 拔下交换机的电源线,然后按住交换机的Mode按钮,再重新插上交换机的电源线.直到端口Port 1x的LED熄灭之后释放Mode按钮. 就这么简单,别告诉我你不知道Mode按钮在哪啊-_-# 2.对于Catalyst 2940/2950L系列来说: 拔下交换机的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJAwQ4p.html" rel="bookmark">《Cisco局域网交换机配置手册（第2版&bull;修订版）》一第2章 交换机的功能性2&period;1　Catalyst交换机家族</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 交换机的功能性 Cisco局域网交换机配置手册(第2版•修订版) 有关如何配置及使用下述特性的信息请查阅以下章节. 2.1 Catalyst交换机家族:对Cisco Catalyst交换机的平台.性能.可支持的操作系统进行了简单的概述. 2.2 园区交换网络设计:列出了在设计交换式企业网络时可使用的设计指南与设计思路. 2.1 Catalyst交换机家族 Cisco局域网交换机配置手册(第2版•修订版) Catalyst交换机家族是一条不断扩充的供应产品线. 在网络中选择和部署一款交换机			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv5V49b.html" rel="bookmark">cisco路由器进入rommon模式，flash丢失&comma;重刷IOS方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.准备工具 cisco tftp server.超级终端.IOS文件 IOS文件比较不好找,需先看下硬件版本,以及ROM RAM的大小,以我的CISCO 2621XM为例(带两个FastEthernet), 一开始找了几个2600的IOS,刷完都不正确,出现无法识别网络接口的问题,无法配置,有F接口的应该找带S的IOS,cisco 2621 xm可使用c2600-ik8s-mz.122-11.T.bin 2.通过TFTP重做路由器系统 控制线连接路由器,另外用双绞线TFTP服务器和路由器的F0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXWaQlM.html" rel="bookmark">《Cisco局域网交换机配置手册（第2版&bull;修订版）》一4&period;3　以太网</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4.3 以太网 Cisco局域网交换机配置手册(第2版•修订版)根据IEEE 802.3u和802.3ab标准,10/100/1000BASE-T可以协商链路速率和双工模式.一条连接上的两端设备互相交换性能信息,并选择双方都支持的最高的共有速率和双工模式.可以使用接口类型和接口号(interface后接ethernet.fastethernet.gigabitethernet或tengigabitethernet中的一种)来引用以太网端口.如果在端口上检测出了某些问题,交换机将自动将此端口转入e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6Rm6z.html" rel="bookmark">Cisco Catalyst 4500系列之线卡</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				快速以太网和千兆位以太网线卡 Cisco Catalyst 4500系列可扩展.模块化.高密度交换机提供了性能出众的第二.三.四层交换及智能服务,实现了网络控制和永续性.这些交换机提供了多种快速以太网和千兆位以太网线卡,包括针对企业与商用交换解决方案的桌面.分支机构骨干和服务器,以及服务供应商城域以太网而优化的光纤及铜缆接口.千兆位以太网线卡包括经济有效的高性能1000BASE-X千兆位接口转换器(GBIC).小型可插拔(SFP)千兆位以太网线卡和高密度10/100/1000BASE-T三速自动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKka3Ab.html" rel="bookmark">《Cisco局域网交换机配置手册（第2版&bull;修订版）》一4&period;2　端口选定</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4.2 端口选定 Cisco局域网交换机配置手册(第2版•修订版) 配置2层端口或接口之前,必须先将其选定或标识出来. Cisco IOS交换机允许使用interface range命令来选定一组接口. 配置 1．选定某个端口. 交换机的端口也称接口,可以使用类型(fastethernet.gigabitehternet等).模块号mod.或端口号num来标识交换机端口. 2．选定一组端口. 或者 Cisco IOS交换机允许一次选定一组接口,使得随后的命令可以应用到组内的每个接口上.port-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ZELRz.html" rel="bookmark">《Cisco局域网交换机配置手册（第2版&bull;修订版）》一4&period;4　EtherChannel</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4.4 EtherChannel Cisco局域网交换机配置手册(第2版•修订版) 可将多个独立的交换机端口汇聚成一个单独的逻辑端口或EtherChannel. 快速以太网端口捆绑构成Fast EtherChannel(FEC).吉比特端口捆绑构成Gigabit EtherChannel(GEC). EtherChannel可以通过手动配置或使用动态协议来实现.PAgP为Cisco私有协议,而链路聚合控制协议(LACP)为基于标准化的协议,定义在IEEE802.3ad中(也称为IEEE802.3			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9EVoM.html" rel="bookmark" class="title">Java IO编程</a>
					<div>
						Java IO Java NIO 详解(一) Java NIO 详解(二) 本列表会不断更新					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJAAqp.html" rel="bookmark" class="title">开发工具栏、状态栏图标资源</a>
					<div>
						1.Microsoft Visual Studio 2010图片库 位置 :\Program Files\Microsoft Visual Studio 10.0\Common7\VS2010Imag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlLvaM.html" rel="bookmark" class="title">Photoshop制作逼真的巧克力糖果立体字</a>
					<div>
						  Photoshop制作逼真的巧克力糖果立体字          最终效果   1.创建一个新的画布,在300dpi分辨率高14.85厘米宽x10.5厘米.设置颜色模式为RGB,背景内容为白色. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqnZYp.html" rel="bookmark" class="title">SEO优化中的8大问题之分析</a>
					<div>
						SEO 是未来网络营销最重要的部分,因为它确实可以帮助网站优化,这重优化方便各种使用着,我非常看好这个行业的前景.目前情况下,大型网站如B2B行业网站.B2C电子商务网站的 SEO 需求比较旺盛.相对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnQVrM.html" rel="bookmark" class="title">如何完整纪录站内所有网页点选次数</a>
					<div>
						网页 大家看到这个标题应该蛮兴奋的吧,我终于可以拥有一份完整的站内流量统计了,没错,笔者今天就要带领大家将这个困难的工作完成,我要在这里说明的是如果你想要作统计的网页数量非常庞大,那你就得在每一个网页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrjgyM.html" rel="bookmark" class="title">Flash AS：简单的loading制作方法</a>
					<div>
						loading 简单的方法: stop() function m(){  loadb = _root.getBytesLoaded();//变量.已经下载的  totalb = _root.getBy ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPjEWz.html" rel="bookmark" class="title">Active Directory回收站的配置</a>
					<div>
						启用AD Recycle Bin 1. 单击&quot;开始&quot;/&quot;管理工具&quot;/&quot;用于 Windows PowerShell 的 Active Directory ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRxBnz.html" rel="bookmark" class="title">C&num;开发WPF&sol;Silverlight动画及游戏系列教程&lpar;Game Course&rpar;：&lpar;九&rpar;</a>
					<div>
						C#开发WPF/Silverlight动画及游戏系列教程(Game Course):(九) 2D游戏角色在地图上的移动 本节将运用前两节的知识到实际的2D游戏人物在地图上移动中,同时也算是对前面八节的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62wALM.html" rel="bookmark" class="title">聚类基本数学模型</a>
					<div>
						聚类方法是一类用途非常广泛的算法,聚类包含很多各式各样的算法.所有这些算法都有它的基本数 学模型.本文就简单介绍一下聚类的基本数学模型.了解了基本数学模型就了解了聚类最本质的原理. 无论是学习算法还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy4q8b.html" rel="bookmark" class="title">设计模式重构应用---Template Method模式</a>
					<div>
						先简单介绍Template Method模式的内容和应用场景. Template Method模式也叫模板方法模式,它把具有特定步骤算法中的某些必要的处理委让给抽象方法 ,通过子类继承对抽象方法的不同 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2DByM.html" rel="bookmark" class="title">CentOS下ACL权限控制详解</a>
					<div>
						  ACL权限控制 设置ACL权限:setfacl 查看ACL权限:getfacl ACL权限控制主要目的是提供传统的owner,group,other的read,wirte,execute权限之外的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBA5Wb.html" rel="bookmark" class="title">SQL Server报错汇总</a>
					<div>
						  开个单章,记录遇到的SQL Server的问题及解决办法,方便自已以后回顾. 该文章会不断完善 1)SQL Server服务突然无法启动 问题描述:之前一直没有问题,突然某天无法启动了 解决办法: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kjAKz.html" rel="bookmark" class="title">如何在Powerpoint插入图表</a>
					<div>
						在Powerpoint插入图表 形象直观的图表与文字数据相比更容易让人理解,插入在幻灯片中的图表使幻灯片的显示效果更加清晰.PowerPoint 2003中附带了一种叫Microsoft Graph的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNQeGM.html" rel="bookmark" class="title">如何手动制作免疫U盘</a>
					<div>
						  如何判断U盘是否中毒了? 1.首先关闭系统的自动播放功能 2.点击查看--选项(打开文件夹选项,控制面板内也可找到)--查看--取消掉隐藏受保护的系统文件;选择显示隐藏的文件.文件夹和驱动器;取消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaVaRz.html" rel="bookmark" class="title">proe5&period;0怎么绘制可变螺距的弹簧绘制技巧&quest;</a>
					<div>
						proe5.0怎么绘制可变螺距的弹簧绘制技巧?   1.新建一个Proe模型文件,进入到参数化模型设计中后,在插入菜单下载,找到螺旋扫描; 2.使用螺旋扫描-伸出项后,弹出的指令绘图界面如下: 3.选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EOBkM.html" rel="bookmark" class="title">asp调用Word打印的代码&lowbar;应用技巧</a>
					<div>
						调用Word打印...  运行下列的脚本需要将IE的安全级别设为低,或在中级安全级别下将那个ActiveX控件设为启用,别忘记了:  &lt;html&gt;  &lt;head&gt;  &lt;t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrojwM.html" rel="bookmark" class="title">eclipse indigo 3&period;7的gradle插件求一个</a>
					<div>
						问题描述 好像被强了,装不上...搞了一晚上了...gradle插件适合于eclipse的indigo 解决方案 解决方案二:不是吧,木人?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7JQJz.html" rel="bookmark" class="title">台积电市值超Intel成全球第一半导体企业：3nm将赴美</a>
					<div>
						众所周知,英特尔这三年时间里完成了几笔重大的收购案,首先是2015年8月份以167亿美元收购了Altera,再者是今年3月份又以153亿美元买下以色列公司Mobieye.不过,即便英特完成了这两笔重大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydJldb.html" rel="bookmark" class="title">分享：在线旅游进入者创业，用户社区类已无机会</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 5月16日,在众信旅游.架桥投资.3W创新传媒联合主办的&quot;旅游的未来--互联网旅游创新大赛&quot;总决赛暨行业高峰论坛上,著名天使投资人王 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydjeZb.html" rel="bookmark" class="title">WCF 发布后的问题求解。</a>
					<div>
						问题描述 大家好.我通过httpWebRequest向WCF服务发送Get请求.服务端响应请求后接收的参数中的时间字符串就变了.请问下这是怎么回事.请求是通过httpWebRequest发送Get请求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB73vb.html" rel="bookmark" class="title">mac-在MAC系统下&comma;用JavaFX把项目打包成dmg文件出错</a>
					<div>
						问题描述 在MAC系统下,用JavaFX把项目打包成dmg文件出错 在打包的时候,发生缺少输入资源的错误,是怎么回事?求大神帮忙 解决方案 是jdk版本问题,换成MAC下的 最新版jdk 问题解决了. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmyV3M.html" rel="bookmark" class="title">java向下转型和直接引用子类对象的区别</a>
					<div>
						问题描述 java向下转型和直接引用子类对象的区别 class A{}class B extends A {}向下转型:A a = new B();B b = (B)a;直接调用子类: B b = n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjrgNM.html" rel="bookmark" class="title">为什么电商越来越难做 粗暴成长时代已经终结</a>
					<div>
						前几天写了一篇&lt;我为什么不支持身边的朋友做电商&gt;,引起不少读者的争议,认为有失偏颇,文中有一个观点是电商越来越难做.很多人想看到更详细的说明,本文就重点分析一下电商为什么越来越难做.(注: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo6q7M.html" rel="bookmark" class="title">html单元格拆分-html中如何将表格&amp;amp&semi;amp&semi;lt&semi;td&amp;amp&semi;amp&semi;gt&semi;进行拆分</a>
					<div>
						问题描述 html中如何将表格&lt;td&gt;进行拆分 问题是这样的:我又一种表格设计方式是这样的,用了html中的 &lt;table&gt; , 想实现下面的样式: 但是如果用 table t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkOn0M.html" rel="bookmark" class="title">Linux后门入侵检测工具，附bash漏洞解决方法</a>
					<div>
						一.rootkit简介 rootkit是Linux平台下最常见的一种木马后门工具,它主要通过替换系统文件来达到入侵和和隐蔽的目的,这种木马比普通木马后门更加危险和隐蔽,普通的检测工具和检查手段很难发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJqwxp.html" rel="bookmark" class="title">mvn build</a>
					<div>
						问题描述 cmd命令下为什么会报这样的..求解mvn eclipse:eclipse[INFO] Scanning for projects...[ERROR] The build could not ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJZBOp.html" rel="bookmark" class="title">mybatis generator maven插件自动生成代码&lowbar;&lowbar;个人记录</a>
					<div>
						本文只是对于mybatis generator maven插件使用的个人记录,作个备忘,同时也希望对进来的人有所帮助! 一.pom文件中引入插件 此处我引用的是1.3.5版本的,主要是1.3.4 版本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQqklp.html" rel="bookmark" class="title">潜谈祭拜网站的四大特色</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着以&quot;改土葬为火葬&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9j4oop.html" rel="bookmark" class="title">正则表达式基础教程与说明&lowbar;正则表达式</a>
					<div>
						前言 正则表达式是烦琐的,但是强大的,学会之后的应用会让你除了提高效率外,会给你带来绝对的成就感.只要认真去阅读这些资料,加上应用的时候进行一定的参考,掌握正则表达式不是问题. 索引 1. 引子 目前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKOJKM.html" rel="bookmark" class="title">毕业是工作还是上研究生呢</a>
					<div>
						问题描述 我是学软件专业,请问毕业是去工作还是考研究生啊,那个好啊 解决方案 解决方案二:能找到好工作就工作啊找不到好的就考研毕业后机会多一点					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
